1 - Get Inquiry List

1.1 - 1.0

get /v1/inquiries

Description

None

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querytitle
optional
title
Example : VM usage inquiry
stringNone
querystate
optional
state
Example : CLOSED
stringNone
queryinquiry_type
optional
inquiry type
Example : General Inquiry - Account and connection inquiry
stringNone
queryregion_id
optional
region id
Example : kr-west1
stringNone
querycreated_at
optional
created at
Example : 2024-06-01T00:12:57.000000Z
any of [string, null]None
queryfilter_inquiry_codes
optional
filter inquiry codes
Example : FL01,FL02
stringNone
queryfilter_states
optional
filter states
Example : TODO,INPROGRESS
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInquiryListResponse
400Bad RequestNone
401UnauthorizedNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/inquiries

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = support 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "inquiries": [
        {
            "account_id": "2010571da2f7458e97c3b881b2362b72",
            "closed_at": "2024-06-27T08:12:57.000000Z",
            "contents": "VM usage inquiry",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "files": [
                {
                    "file_name": "test.txt",
                    "id": "File-008ccb7ff65244689dacd605fafec92f",
                    "size": 298426
                }
            ],
            "id": "sr-240530-00028-nuri",
            "inquiry_code": "G01",
            "inquiry_type": "General Inquiry - Account and connection inquiry",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "region_id": "kr-west1",
            "resource_name": "lb1",
            "service_category": "Networking",
            "service_item": "Load Balancer",
            "state": "CLOSED",
            "title": "VM usage inquiry"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2 - Get Service Request List

2.1 - 1.0

get /v1/service-requests

Description

None

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryfilter_operation_type_ids
optional
2010571da2f7458e97c3b881b2362b72,1h6q5kqt42f7458e97c3b881b2311utn
Example : e8fea87728164808860ad81c6ce779b6
stringNone
queryfilter_service_item_ids
optional
service item id list
Example : VIRTUAL_SERVER,LOAD_BALANCER
stringNone
queryfilter_title
optional
title
Example : Virtual Server operation related
stringNone
queryfilter_states
optional
filter states
Example : REQUESTING,CLOSED
stringNone
queryfrom_created_at
optional
from created at
Example : 2024-07-01T00:00:00Z
any of [string (date-time), null]None
queryto_created_at
optional
to created at
Example : 2024-07-05T23:59:59Z
any of [string (date-time), null]None
queryoperation_type
optional
operation type
Example : Placement Group Set Up Request
stringNone
queryservice_item_name
optional
service item
Example : Load Balancer
stringNone
querytitle
optional
title
Example : Virtual Server operation related
stringNone
querystate
optional
state
Example : REQUESTING
stringNone

Responses

HTTP CodeDescriptionSchema
200OKServiceRequestListResponse
400Bad RequestNone
401UnauthorizedNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/service-requests

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = support 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "service_requests": [
        {
            "account_id": "2010571da2f7458e97c3b881b2362b72",
            "account_name": "dev_project",
            "closed_at": "2024-06-27T08:12:57.000000Z",
            "contents": "I need assistance with working with Virtual Server.",
            "created_at": "2024-06-01T00:12:57.000000Z",
            "created_by": "e3bff0c980dc41b2b6f3ac080b6d3ba0",
            "created_by_name": "KimSamSung(test@samsung.com)",
            "files": [
                {
                    "file_name": "test.txt",
                    "id": "File-008ccb7ff65244689dacd605fafec92f",
                    "size": 298426
                }
            ],
            "id": "007d8cc7d60c4b26bb5a833b06686db3",
            "iops_result": "Processing completed.",
            "iops_sr_id": "SR0002834921",
            "modified_at": "2024-06-11T00:12:57.000000Z",
            "modified_by": "e3bff0c980dc41b2b6f3ac080b6d3ba0",
            "operation_type": "Placement Group Set Up Request",
            "region": "kr-west1",
            "service_category_name": "Networking",
            "service_item_name": "Load Balancer",
            "state": "ACTIVE",
            "template_id": "e8fea87728164808860ad81c6ce779b6",
            "title": "Virtual Server operation related"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

3 - Show Inquiry

3.1 - 1.0

get /v1/inquiries/{inquiry_id}

Description

None

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathinquiry_id
required
id
Example : sr-240530-00028-nuri
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInquiryShowResponse
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/inquiries/{inquiry_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = support 1.0"

Example HTTP response

Response 200

{
    "affect": "No impact on current service",
    "affect_id": "2010571da2f7458e97c3b881b2362b72",
    "answer_comment": "Here is the answer to your inquiry.",
    "answer_type": "COMMENT / EMAIL / TEL",
    "closed_at": "2024-06-27T08:12:57.000000Z",
    "contents": "VM usage inquiry",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "created_by_name": "KimSamSung(test@samsung.com)",
    "files": [
        {
            "file_name": "test.txt",
            "id": "File-008ccb7ff65244689dacd605fafec92f",
            "size": 298426
        }
    ],
    "id": "sr-240530-00028-nuri",
    "inquiry_code": "G01",
    "inquiry_type": "General Inquiry - Account and connection inquiry",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "recipient_email": "test@samsung.com",
    "recipient_tel_nation_id": "+82",
    "recipient_telno": "01012341234",
    "region_id": "kr-west1",
    "resource_name": "lb1",
    "service_category": "Networking",
    "service_item": "Load Balancer",
    "state": "CLOSED",
    "title": "VM usage inquiry"
}

4 - Show Service Request

4.1 - 1.0

get /v1/service-requests/{service_request_id}

Description

None

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathservice_request_id
required
id
Example : 007d8cc7d60c4b26bb5a833b06686db3
stringNone

Responses

HTTP CodeDescriptionSchema
200OKServiceRequest
400Bad RequestNone
401UnauthorizedNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/service-requests/{service_request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = support 1.0"

Example HTTP response

Response 200

{
    "account_id": "2010571da2f7458e97c3b881b2362b72",
    "account_name": "dev_project",
    "closed_at": "2024-06-27T08:12:57.000000Z",
    "contents": "I need assistance with working with Virtual Server.",
    "created_at": "2024-06-01T00:12:57.000000Z",
    "created_by": "e3bff0c980dc41b2b6f3ac080b6d3ba0",
    "created_by_name": "KimSamSung(test@samsung.com)",
    "files": [
        {
            "file_name": "test.txt",
            "id": "File-008ccb7ff65244689dacd605fafec92f",
            "size": 298426
        }
    ],
    "id": "007d8cc7d60c4b26bb5a833b06686db3",
    "iops_result": "Processing completed.",
    "iops_sr_id": "SR0002834921",
    "modified_at": "2024-06-11T00:12:57.000000Z",
    "modified_by": "e3bff0c980dc41b2b6f3ac080b6d3ba0",
    "operation_type": "Placement Group Set Up Request",
    "region": "kr-west1",
    "service_category_name": "Networking",
    "service_item_name": "Load Balancer",
    "state": "ACTIVE",
    "template_id": "e8fea87728164808860ad81c6ce779b6",
    "title": "Virtual Server operation related"
}